Bug 82544

Summary: Errata removes most tools
Product: [Retired] Red Hat Linux Reporter: Enrico Scholz <rh-bugzilla>
Component: python2Assignee: Mihai Ibanescu <mihai.ibanescu>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 7.3   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-02-11 18:56:22 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Enrico Scholz 2003-01-23 09:38:16 UTC
Description of problem:

The python-2.2-16 packages of RHL 7.3 contains some tools in /usr/bin:

$ rpm -qlp python2-2.2-16.i386.rpm | grep /usr/bin
/usr/bin/idle2
/usr/bin/modulator2
/usr/bin/msgfmt2.py
/usr/bin/pydoc2
/usr/bin/pygettext2.py
/usr/bin/pynche2
/usr/bin/python2
/usr/bin/python2.2


Most of them are removed by the security upgrade:

$ rpm -qlp python2-2.2.2-3.7.3.i386.rpm | grep /usr/bin
/usr/bin/python2
/usr/bin/python2.2


An errata should not do such removals.

Comment 1 Mihai Ibanescu 2003-01-24 13:06:52 UTC
Umm... yes, you're right.

Comment 2 Jay Turner 2003-02-11 18:56:22 UTC
Fix confirmed with python2-2.2.2-11.7.3 which should be going out shortly as errata.